This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 828914 - Network Manager - support for DHCP6 and Autoconf
Network Manager - support for DHCP6 and Autoconf
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 11:07 EDT by William Brown
Modified: 2012-08-29 06:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 06:15:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Brown 2012-06-05 11:07:55 EDT
Description of problem:

Network manager for IPv6 configurations offers the support for "Automatic", "Automatic, Addresses only" and "Automatic, DHCP only". When DHCP only is selected routes to the internet are lost, and autoconf is disabled. A global address is leased from DHCP6 only.

DHCP6 does not provide internet routes (For example, the option to serve an ipv6 router does not exist in the isc-dhcp4 daemon), as this is the duty of RADVD. Thus, for sucessful network operation, both DHCP6 and autoconf are required. 

Network manager should support both DHCP6 and autoconf on the same ethernet device, rather than disabling autoconf when DHCP6 is selected.
Comment 1 Pavel Šimerda (pavlix) 2012-08-29 06:15:48 EDT
> DHCP6 does not provide internet routes (For example, the option to serve an
> ipv6 router does not exist in the isc-dhcp4 daemon), as this is the duty of
> RADVD. Thus, for sucessful network operation, both DHCP6 and autoconf are
> required. 

Not autoconf but router advertisement, to be precise.

> Network manager should support both DHCP6 and autoconf on the same ethernet
> device, rather than disabling autoconf when DHCP6 is selected.

I filed a bug report to remove 'DHCP only'. We have been talking about it for
long time so it's time to document in bugzilla:

https://bugzilla.gnome.org/show_bug.cgi?id=682932

> Network manager should support both DHCP6 and autoconf on the same ethernet
> device, rather than disabling autoconf when DHCP6 is selected.

Use the default 'method=auto'.

Any other concerns?

Note You need to log in before you can comment on or make changes to this bug.